"""fix custom text part of std_calibration_complete template

Revision ID: 705ed8cfc7be
Revises: 491102d56809
Create Date: 2023-08-31 13:14:13.039335

"""
from pathlib import Path

import sqlalchemy as sa
from alembic import op

template_name = "std_calibration_complete"
old_content = (Path.cwd() / "versions" / "templates" / "emails" / "std_calibration_complete_new.txt").read_text()
new_content = (Path.cwd() / "versions" / "templates" / "emails" / "std_calibration_complete_newer.txt").read_text()

# revision identifiers, used by Alembic.
revision = "705ed8cfc7be"
down_revision = "491102d56809"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        f"""
        UPDATE notification_templates
        SET template=E'{new_content}'
        WHERE name=E'{template_name}'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE notification_templates
        SET template=E'{old_content}'
        WHERE name=E'{template_name}'
        """
    )
